Exponential 6.0.13 Exponential Enterprise Open Source CMS - PHP Class Reference

Public Member Functions | Public Attributes | List of all members
eZTemplateTypeOperator Class Reference
Template system » Template operators

Operators for checking variable type. More...

## Public Member Functions
| __construct ($isArrayName="is_array", $isBooleanName="is_boolean", $isIntegerName="is_integer", $isFloatName="is_float", $isNumericName="is_numeric", $isStringName="is_string", $isObjectName="is_object", $isClassName="is_class", $isNullName="is_null", $isSetName="is_set", $isUnsetName="is_unset", $getTypeName="get_type", $getClassName="get_class")
| operatorList ()
| operatorTemplateHints ()
| isTransform ( $operatorName, &$node, $tpl, &$resourceData, $element, $lastElement, $elementList, $elementTree, &$parameters)
| namedParameterPerOperator ()
| namedParameterList ()
| modify ( $tpl, $operatorName, $operatorParameters, $rootNamespace, $currentNamespace, &$value, $namedParameters, $placement)
| checkType ( $typeFunction, $tpl, &$value, $operatorParameters, $rootNamespace, $currentNamespace, $placement)

## Public Attributes
| $Operators
| The array of operators. More...
| $IsArrayName
| The "less than" name. More...
| $IsBooleanName
| $IsIntegerName
| $IsFloatName
| $IsNumericName
| $IsStringName
| $IsObjectName
| $IsClassName
| $IsNullName
| $IsSetName
| $IsUnsetName
| $GetTypeName
| $GetClassName
| $PHPNameMap

## Detailed Description

Operators for checking variable type.

Usage: $var|is_array or is_array( $var ) $var|is_boolean or is_boolean( $var ) $var|is_integer or is_integer( $var ) $var|is_float or is_float( $var ) $var|is_numeric or is_numeric( $var ) $var|is_string or is_string( $var ) $var|is_object or is_object( $var ) $var|is_class('my_class') or is_class( 'my_class', $var ) $var|is_null or is_null( $var ) is_set( $var ) is_unset( $var ) $var|get_type or get_type( $var ) $var|get_class or get_class( $var )

Definition at line 34 of file eztemplatetypeoperator.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZTemplateTypeOperator::__construct | ( |  | $isArrayName = `"is_array"`,
|  |  | $isBooleanName = `"is_boolean"`,
|  |  | $isIntegerName = `"is_integer"`,
|  |  | $isFloatName = `"is_float"`,
|  |  | $isNumericName = `"is_numeric"`,
|  |  | $isStringName = `"is_string"`,
|  |  | $isObjectName = `"is_object"`,
|  |  | $isClassName = `"is_class"`,
|  |  | $isNullName = `"is_null"`,
|  |  | $isSetName = `"is_set"`,
|  |  | $isUnsetName = `"is_unset"`,
|  |  | $getTypeName = `"get_type"`,
|  |  | $getClassName = `"get_class"`
| ) |  |

Initializes the operator class with the various operator names.

Parameters

  string | $isArrayName |
  string | $isBooleanName |
  string | $isIntegerName |
  string | $isFloatName |
  string | $isNumericName |
  string | $isStringName |
  string | $isObjectName |
  string | $isClassName |
  string | $isNullName |
  string | $isSetName |
  string | $isUnsetName |
  string | $getTypeName |
  string | $getClassName |

Parameters

  $isArrayName | The name array

Definition at line 53 of file eztemplatetypeoperator.php.

## Member Function Documentation

## ◆ checkType()

eZTemplateTypeOperator::checkType | ( |  | $typeFunction,
|  |  | $tpl,
|  | & | $value,
|  |  | $operatorParameters,
|  |  | $rootNamespace,
|  |  | $currentNamespace,
|  |  | $placement
| ) |  |

Definition at line 404 of file eztemplatetypeoperator.php.

Referenced by modify().

## ◆ isTransform()

eZTemplateTypeOperator::isTransform | ( |  | $operatorName,
|  | & | $node,
|  |  | $tpl,
|  | & | $resourceData,
|  |  | $element,
|  |  | $lastElement,
|  |  | $elementList,
|  |  | $elementTree,
|  | & | $parameters
| ) |  |

Definition at line 207 of file eztemplatetypeoperator.php.

References eZTemplateNodeTool\createCodePieceElement().

## ◆ modify()

eZTemplateTypeOperator::modify | ( |  | $tpl,
|  |  | $operatorName,
|  |  | $operatorParameters,
|  |  | $rootNamespace,
|  |  | $currentNamespace,
|  | & | $value,
|  |  | $namedParameters,
|  |  | $placement
| ) |  |

Examines the input value and outputs a boolean value. See class documentation for more information.

Definition at line 305 of file eztemplatetypeoperator.php.

References checkType().

## ◆ namedParameterList()

eZTemplateTypeOperator::namedParameterList | ( |  | ) |

See eZTemplateOperator::namedParameterList

Definition at line 297 of file eztemplatetypeoperator.php.

## ◆ namedParameterPerOperator()

eZTemplateTypeOperator::namedParameterPerOperator | ( |  | ) |

Returns
  true to tell the template engine that the parameter list exists per operator type.

Definition at line 289 of file eztemplatetypeoperator.php.

## ◆ operatorList()

eZTemplateTypeOperator::operatorList | ( |  | ) |

Returns the operators in this class.

Definition at line 107 of file eztemplatetypeoperator.php.

References $Operators.

## ◆ operatorTemplateHints()

eZTemplateTypeOperator::operatorTemplateHints | ( |  | ) |

Definition at line 112 of file eztemplatetypeoperator.php.

## Member Data Documentation

## ◆ $GetClassName

eZTemplateTypeOperator::$GetClassName

Definition at line 437 of file eztemplatetypeoperator.php.

## ◆ $GetTypeName

eZTemplateTypeOperator::$GetTypeName

Definition at line 436 of file eztemplatetypeoperator.php.

## ◆ $IsArrayName

eZTemplateTypeOperator::$IsArrayName

The "less than" name.

Definition at line 425 of file eztemplatetypeoperator.php.

## ◆ $IsBooleanName

eZTemplateTypeOperator::$IsBooleanName

Definition at line 426 of file eztemplatetypeoperator.php.

## ◆ $IsClassName

eZTemplateTypeOperator::$IsClassName

Definition at line 432 of file eztemplatetypeoperator.php.

## ◆ $IsFloatName

eZTemplateTypeOperator::$IsFloatName

Definition at line 428 of file eztemplatetypeoperator.php.

## ◆ $IsIntegerName

eZTemplateTypeOperator::$IsIntegerName

Definition at line 427 of file eztemplatetypeoperator.php.

## ◆ $IsNullName

eZTemplateTypeOperator::$IsNullName

Definition at line 433 of file eztemplatetypeoperator.php.

## ◆ $IsNumericName

eZTemplateTypeOperator::$IsNumericName

Definition at line 429 of file eztemplatetypeoperator.php.

## ◆ $IsObjectName

eZTemplateTypeOperator::$IsObjectName

Definition at line 431 of file eztemplatetypeoperator.php.

## ◆ $IsSetName

eZTemplateTypeOperator::$IsSetName

Definition at line 434 of file eztemplatetypeoperator.php.

## ◆ $IsStringName

eZTemplateTypeOperator::$IsStringName

Definition at line 430 of file eztemplatetypeoperator.php.

## ◆ $IsUnsetName

eZTemplateTypeOperator::$IsUnsetName

Definition at line 435 of file eztemplatetypeoperator.php.

## ◆ $Operators

eZTemplateTypeOperator::$Operators

The array of operators.

Definition at line 423 of file eztemplatetypeoperator.php.

Referenced by operatorList().

## ◆ $PHPNameMap

eZTemplateTypeOperator::$PHPNameMap

Definition at line 438 of file eztemplatetypeoperator.php.

The documentation for this class was generated from the following file:

- eztemplatetypeoperator.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.